trigram_s Struct Reference

Trigram structure. More...

`#include <ngram_model_arpa.h>`

## Data Fields

uint32 | wid
| Index of unigram entry for this. More...
uint16 | prob3
| Index into array of actual trigram probs.
uint16 | wid
| Index of unigram entry for this. More...

## Detailed Description

Trigram structure.

On-disk representation of trigrams.

As with bigrams, trigram prob info kept in a separate table for conserving memory space.

Definition at line 66 of file ngram_model_arpa.h.

## Field Documentation

## wid [1/2]

uint32 trigram_s::wid

Index of unigram entry for this.

(NOT dictionary id.)

Definition at line 67 of file ngram_model_arpa.h.

## wid [2/2]

uint16 trigram_s::wid

Index of unigram entry for this.

(NOT dictionary id.)

Definition at line 69 of file ngram_model_dmp.h.

The documentation for this struct was generated from the following files:

- src/libsphinxbase/lm/ngram_model_arpa.h
- src/libsphinxbase/lm/ngram_model_dmp.h